INSERT /* %08d */INTO hsnc.fcst_self_securities_std

		(uuid, hold_date, hold_dep_code, hold_dep_name, caliber_no

		, project_id, project_name, account_no, stock_account, securities_code

		, securities_name, tranding_market, securities_type, securities_subtype1, securities_subtype1_name

		, securities_subtype2, securities_subtype2_name, is_make, is_hedging, is_swap

		, nc_bond_rating, short_rating, long_rating, company_rating, bond_due_date

		, total_capital_amount, current_capital_amount, total_scale_balance, securities_amount, stock_source_type

		, data_source_type, invest_type, securities_property, bond_property, bond_issuers_type

		, securities_merge_code, is_merge, last_price_balance, maket_value_balance, full_price_balance

		, full_maket_balance, interest_balance, fair_value_balance, cost_balance, decrease_balance

		, bond_face_balance, buy_amount, sale_amount, buy_price_balance, sale_price_balance

		, subordinate_flag, sustainable_flag, broadbased_index_flag, hold_amount_rate, if_suspension

		, next_payment_date, if_convertible_bond, if_abroad, if_borrow_sell, if_group_innertrade

		, innertrade_caliber_no, remark)

	SELECT /*+use_hash(a b c d e bm bp cm em m cb2 fb fp)*/ a.pk_id AS uuid, a.tradedate AS hold_date, nvl(a.deptcode, ' ') AS hold_dep_code

		, ' ' AS hold_dep_name

		, CASE 

			WHEN nvl(trim(a.company_inner), ' ') = 'Y' THEN to_number(m.src_dict_item_code || 199)

			ELSE to_number(m.src_dict_item_code)

		END AS caliber_no, ' ' AS project_id, ' ' AS project_name

		, nvl(a.fund_account, ' ') AS account_no

		, nvl(a.sec_account, ' ') AS stock_account, a.seccode AS securities_code

		, nvl(a.secname, ' ') AS securities_name

		, CASE 

			WHEN a.market_code IN ('X_NEEQ', 'NEEQ', 'XCAMP', 'RD_NEEQ') THEN '9'

			WHEN a.market_code IN ('HGANG', 'XHKG') THEN '3'

			WHEN a.market_code IN ('XSHG', 'CQUAE', 'CTCX') THEN '1'

			WHEN a.market_code = 'XSHE' THEN '2'

			WHEN a.market_code IN ('X_SHSC', 'XSHGK', 'XSHEK', 'X_SZSC', 'XSSC') THEN '10'

			WHEN a.market_code IN ('XSEC') THEN '11'

			WHEN a.market_code IN ('X_CNBD', 'XCFE') THEN '5'

			WHEN a.market_code IN ('OTC') THEN '4'

			WHEN a.market_code IN ('ETFP', 'OF') THEN '16'

			WHEN a.market_code IN ('OFFS', 'ISIN') THEN '99'

			WHEN a.market_code = 'BJSE' THEN '12'

			WHEN a.market_code IN ('SHCPE') THEN '13'

			ELSE nvl(substr(a.market_code, 1, 4), ' ')

		END AS tranding_market

		, CASE a.assettype

			WHEN 'EQUITY' THEN '1'

			WHEN 'FUND' THEN '3'

			WHEN 'BOND' THEN '2'

			WHEN 'INCOMEVOUCHER' THEN '31'

			WHEN 'BANKACCEPTANCE' THEN '52'

			WHEN 'TRADEACCEPTANCE' THEN '53'

			WHEN 'STANDARDBILL' THEN '54'

		END AS securities_type

		, CASE 

			WHEN a.assettype = 'EQUITY'

				AND a.hold_status = '1'

			THEN '4'

			WHEN a.assettype = 'FUND'

				AND coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2, ' ') = '11'

			THEN '9'

			WHEN a.assettype = 'BOND'

				AND d.country <> 'CN'

				AND ((coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 国债

					

					OR coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '5' -- 中央银行票据

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 政策性金融债

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '3'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '4') -- 政府支持债券

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '2'))

			THEN '6'

			ELSE coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2, ' ')

		END AS securities_subtype1, ' ' AS securities_subtype1_name -- modify by chenyd 20210312 利率债指数基金类型区分（老版的和新版的三级分类不同）

		

		, CASE 

			WHEN a.assettype = 'FUND'

				AND coalesce(trim(bm.securities_subtype1), trim(b.assettype_2), trim(bp.assettype_2), ' ') = '1'

			THEN 

				CASE 

					WHEN coalesce(trim(bm.securities_subtype2), trim(b.assettype_3), trim(bp.assettype_3), ' ') IN ('1', '4', '7') THEN '1'

					WHEN coalesce(trim(bm.securities_subtype2), trim(b.assettype_3), trim(bp.assettype_3), ' ') = '3' THEN '3'

					ELSE '2'

				END

			WHEN a.assettype = 'EQUITY'

				AND coalesce(trim(bm.securities_subtype1), trim(b.assettype_2), trim(bp.assettype_2), ' ') = '10'

				AND a.fund_account IN ('YSPXSBZS', 'YSPXSBZY', 'QYTZB-XSBZS', 'QYTZB-XSBZY')

			THEN '2'

			WHEN a.assettype = 'EQUITY'

				AND coalesce(trim(bm.securities_subtype1), trim(b.assettype_2), trim(bp.assettype_2), ' ') = '10'

				AND coalesce(trim(bm.securities_subtype2), trim(b.assettype_3), trim(bp.assettype_3), ' ') = '0'

			THEN '4'

			WHEN a.assettype = 'BOND'

				AND d.country <> 'CN'

				AND ((coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 国债

					

					OR coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '5' -- 中央银行票据

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 政策性金融债

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '3'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '4') -- 政府支持债券

					

					OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

						AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '2'))

			THEN ' '

			ELSE coalesce(trim(bm.securities_subtype2), trim(b.assettype_3), trim(bp.assettype_3), '0')

		END AS securities_subtype2, ' ' AS securities_subtype2_name, '0' AS is_make -- '0' is_hedging,

		

		, CASE 

			WHEN a.effect_hedging = '1' THEN '1'

			ELSE '0'

		END AS is_hedging, '0' AS is_swap

		, CASE 

			WHEN a.companycode IN ('10237', '10265') THEN 'AAA'

			WHEN a.companycode IN ('10225', '10052')

				AND a.assettype = 'INCOMEVOUCHER'

			THEN 'AAA'

			WHEN a.assettype = 'BOND' THEN 

				CASE 

					WHEN nvl(d.country, 'CN') = 'CN'

						AND ((coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

								AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 国债

							

							OR coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '5' -- 中央银行票据

							

							OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

								AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '1') -- 政策性金融债

							

							OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '3'

								AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '4') -- 政府支持债券

							

							OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '1'

								AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '2'))

					THEN ' '

					WHEN (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

							AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) IN ('3')) -- 国开债

						

						OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

							AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) = '4')

					THEN ' '

					ELSE coalesce(cm.nc_bond_rating, coalesce(c.chinabond_long_rating, c.chinabond_short_rating, c.chinabond_rating_issuer), c.org_rating, 'X')

				END

			ELSE ' '

		END AS nc_bond_rating, nvl(c.chinabond_short_rating, ' ') AS short_rating

		, nvl(c.chinabond_long_rating, ' ') AS long_rating

		, nvl(c.chinabond_rating_issuer, ' ') AS company_rating

		, nvl(nvl(cb2.bond_due_date, d.maturity), 99991231) AS bond_due_date -- 集市调整总股本取数，境外股票、债券（市场代码为OFFS）不再除以100  modify by wgq 20220815

		

		, CASE 

			WHEN em.priority_level = '0' THEN nvl(coalesce(em.total_capital_amount, e.shares_outstanding), 0)

			ELSE nvl(coalesce(e.shares_outstanding, em.total_capital_amount), 0)

		END AS total_capital_amount, 0 AS current_capital_amount, 0 AS total_scale_balance

		, nvl(a.amount, 0) AS securities_amount, ' ' AS stock_source_type

		, nvl(a.src_system, ' ') AS data_source_type, ' ' AS invest_type

		, CASE 

			WHEN a.assettype IN ('EQUITY')

				OR (a.assettype = 'FUND'

					AND coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) IN ('5', '4')

					AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) NOT IN ('1', '5'))

				OR a.assettype = '9'

			THEN '1'

			ELSE '2'

		END AS securities_property

		, CASE 

			WHEN a.assettype IN ('BOND', 'BANKACCEPTANCE', 'TRADEACCEPTANCE', 'STANDARDBILL') THEN 

				CASE 

					WHEN a.assettype = 'BOND'

						AND a.companycode = '10055'

					THEN '1'

					WHEN coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) IN (

							'4', 

							'6', 

							'7', 

							'8', 

							'12', 

							'13', 

							'17', 

							'9', 

							'10'

						)

						OR -- (nvl(bm.securities_subtype1, b.assettype_2) = '2' and

						-- (nvl(bm.securities_subtype1, b.assettype_2) = '2' and

						(coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '2'

							AND coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) NOT IN ('1', '3', '4'))

						OR (coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '3'

							AND -- nvl(b.assettype_3, bm.securities_subtype2) = '2') then

							coalesce(bm.securities_subtype2, b.assettype_3, bp.assettype_3) <> '4')

					THEN '1'

					WHEN a.assettype = 'BOND'

						AND d.country <> 'CN'

					THEN '1'

					ELSE '2'

				END

			WHEN a.assettype = 'INCOMEVOUCHER' THEN '1'

			ELSE ' '

		END AS bond_property

		, CASE 

			WHEN d.issuer_type = '1' THEN '1'

			ELSE '0'

		END AS bond_issuers_type, ' ' AS securities_merge_code, ' ' AS is_merge

		, coalesce(sp.last_price_balance, fp.close_price, 0) AS last_price_balance -- 20210619根据客户需求股债基用估值字段

		

		, CASE 

			WHEN a.assettype IN ('EQUITY', 'FUND', 'BOND') THEN nvl(a.value_cny, 0)

			ELSE nvl(a.market_value_cny, 0)

		END AS maket_value_balance

		, coalesce(sp.full_price_balance, fp.full_price, fp.fair_price, 0) AS full_price_balance

		, CASE 

			WHEN a.assettype IN ('EQUITY', 'FUND', 'BOND') THEN nvl(a.value_cny, 0)

			ELSE nvl(a.market_value_cny, 0)

		END AS full_maket_balance

		, CASE 

			WHEN a.assettype IN ('BOND') THEN nvl((to_date(v_init_date, 'yyyymmdd') - to_date(fb.payment_date, 'yyyymmdd') + 1) / 365 * (1 - nvl((

					SELECT sum(be.ratio)

					FROM riskdata.t_fmt_bond_earlyrepayinfo be

					WHERE be.innercode = a.innercode

						AND be.repay_date < fb.begin_date

				), 0) / 100) * CASE 

					WHEN a.market_value_cny <= 0 THEN 0

					ELSE a.amount * 100

				END * (fb.rate_value / 100), 0)

			ELSE 0

		END AS interest_balance, 0 AS fair_value_balance, nvl(a.cost_cny, 0) AS cost_balance

		, 0 AS decrease_balance, 0 AS bond_face_balance, 0 AS buy_amount, 0 AS sale_amount, 0 AS buy_price_balance

		, 0 AS sale_price_balance

		, coalesce(trim(bm.subordinate_flag), trim(b.subordinate_flag), '0') AS subordinate_flag

		, coalesce(trim(bm.sustainable_flag), trim(b.sustainable_flag), '0') AS sustainable_flag

		, coalesce(trim(br.broadbased_index_flag), trim(b.broadbased_index_flag), '0') AS broadbased_index_flag -- 集市调整总股本取数，境外股票、债券（市场代码为OFFS）不再除以100  modify by wgq 20220815

		

		, nvl(CASE 

			WHEN CASE 

					WHEN em.priority_level = '0' THEN nvl(coalesce(em.total_capital_amount, e.shares_outstanding), 0)

					ELSE nvl(coalesce(e.shares_outstanding, em.total_capital_amount), 0)

				END = 0

			THEN 0

			ELSE a.amount / CASE 

				WHEN em.priority_level = '0' THEN nvl(coalesce(em.total_capital_amount, e.shares_outstanding), 0)

				ELSE nvl(coalesce(e.shares_outstanding, em.total_capital_amount), 0)

			END

		END, 0) AS hold_amount_rate -- suspension有空格的数据，使用trim处理，使落地的数据只有0和1  modify by wgq 20220316

		

		, nvl(trim(b.suspension), '0') AS if_suspension, nvl((

			SELECT min(ttd.natural_date)

			FROM riskdata.t_fmt_trade_date ttd, riskdata.t_fmt_bondinterest tfb

			WHERE tfb.tradedate = v_init_date

				AND tfb.innercode = a.innercode

				AND tfb.assettype = 'BOND'

				AND tfb.begin_date <= v_init_date

				AND tfb.end_date >= v_init_date

				AND ttd.natural_date >= tfb.end_date

				AND ttd.if_stock_tradate_flag = '1'

				AND ttd.natural_date >= v_init_date

		), 0) AS next_payment_date

		, CASE 

			WHEN a.assettype IN ('BOND', 'BANKACCEPTANCE', 'TRADEACCEPTANCE', 'STANDARDBILL') THEN 

				CASE 

					WHEN coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '4' THEN '1'

					WHEN coalesce(bm.securities_subtype1, b.assettype_2, bp.assettype_2) = '12' THEN '1'

					ELSE '0'

				END

			ELSE '0'

		END AS if_convertible_bond, nvl(a.crossborder_flag, 0)

		, CASE 

			WHEN a.companycode IN ('10237', '10265') THEN '0'

			WHEN a.companycode IN ('10225', '10052')

				AND a.assettype = 'INCOMEVOUCHER'

			THEN '0'

			ELSE ' '

		END AS if_borrow_sell

		, CASE 

			WHEN a.group_inner = 'Y' THEN '1'

			ELSE '0'

		END AS if_group_innertrade

		, CASE 

			WHEN a.counter_name = '中信证券股份有限公司' THEN 101

			ELSE 0

		END AS innertrade_caliber_no, a.innercode AS remark

	FROM riskdata.t_fmt_position_fc a

	INNER JOIN riskdata.t_cfg_dict_mapping m ON a.companycode = m.dict_item_code

	AND m.begin_date <= v_init_date

	AND m.end_date >= v_init_date

	AND m.etl_db_code = '1001'

	AND CASE 

		WHEN m.src_dict_item_code LIKE '1%' THEN '01'

		ELSE '02'

	END = a.caliber_no 

	LEFT JOIN riskdata.t_fmt_price fp ON a.innercode = fp.innercode

	AND a.base_tradedate = fp.tradedate 

	LEFT JOIN (

		SELECT st.securities_code, st.tranding_market, st.last_price_balance, st.full_price_balance

			, row_number() OVER (PARTITION BY st.securities_code, st.tranding_market, st.securities_type ORDER BY st.caliber_no DESC) AS rn

		FROM riskdata.t_cfg_securities_price st

		WHERE st.begin_date <= v_init_date

			AND st.end_date >= v_init_date

			AND st.audit_status = '1'

			AND st.data_status = '1'

			AND (st.caliber_no = v_companycode

				OR st.caliber_no = 0)

	) sp ON a.seccode = sp.securities_code

	AND a.market_code = sp.tranding_market

	AND sp.rn = 1 

	LEFT JOIN riskdata.t_cfg_assettype_map b ON a.innercode = b.innercode

	AND a.assettype = b.assettype_1

	AND b.tradedate = v_init_date 

	LEFT JOIN (

		-- 手工分类

		SELECT st.securities_code, st.tranding_market, st.securities_type, st.caliber_no, st.if_invest_listed_company

			, st.securities_subtype1, st.securities_subtype2, st.if_cash_manage, st.if_redemption_limited -- st.broadbased_index_flag,

			

			, st.sustainable_flag, st.subordinate_flag, row_number() OVER (PARTITION BY st.securities_code, st.tranding_market, st.securities_type ORDER BY st.caliber_no DESC) AS rn

		FROM riskdata.t_cfg_securities_type st

		WHERE st.begin_date <= v_init_date

			AND st.end_date >= v_init_date

			AND st.audit_status = '1'

			AND st.data_status = '1' ---and (st.caliber_no = p_caliber_no or st.caliber_no = 0)

			-- 20210902

			

			AND (st.caliber_no = v_companycode

				OR st.caliber_no = 0)

	) bm ON a.seccode = bm.securities_code

	AND a.market_code = bm.tranding_market

	AND a.assettype = bm.securities_type

	AND bm.rn = 1 

	LEFT JOIN (

		SELECT sa.securities_code, sa.tranding_market, sa.securities_type, sa.broadbased_index_flag

		FROM (

			SELECT tt.securities_code, tt.tranding_market, tt.securities_type, tt.broadbased_index_flag, tt.begin_date

				, tt.end_date, row_number() OVER (PARTITION BY tt.securities_code, tt.tranding_market, tt.securities_type ORDER BY tt.audit_time DESC) AS rn

			FROM (

				SELECT ss.securities_code, ss.tranding_market, ss.securities_type, ss.broadbased_index_flag, ss.begin_date

					, ss.end_date, ss.audit_time

				FROM (

					SELECT st.securities_code, st.tranding_market, st.securities_type, st.broadbased_index_flag, st.begin_date

						, st.end_date -- st.audit_time,

						

						, nvl(st.audit_time, to_date(20220101, 'yyyymmdd')) AS audit_time, row_number() OVER (PARTITION BY st.securities_code, st.tranding_market, st.securities_type ORDER BY st.caliber_no DESC) AS rn

					FROM riskdata.t_cfg_securities_type st

					WHERE st.audit_status = '1'

						AND st.data_status = '1'

						AND st.securities_type = 'FUND'

						AND (st.caliber_no = v_companycode

							OR st.caliber_no = 0)

				) ss

				WHERE ss.rn = 1

				UNION ALL

				SELECT oa.oa_etf_code, oa.oa_trade_market, 'FUND' AS assettpye, '1' AS broadbased_index_flag

					, to_number(to_char(oa.oa_valid_date, 'YYYYMMDD'))

					, to_number(to_char(oa.oa_end_date, 'YYYYMMDD'))

					, oa.oa_pass_time

				FROM riskdata.t_oa_etf_cfg oa

				WHERE oa.tradedate = v_init_date

					AND oa.oa_type = '01'

			) tt

		) sa

		WHERE v_init_date BETWEEN sa.begin_date AND sa.end_date

			AND rn = 1

	) br ON a.seccode = br.securities_code

	AND a.market_code = br.tranding_market

	AND a.assettype = br.securities_type 

	LEFT JOIN (

		SELECT b.innercode2 AS innercode1, t.*

		FROM riskdata.t_cfg_assettype_map t

			INNER JOIN riskdata.v_cfg_securitymap b ON t.innercode <> b.innercode2

		AND substr(t.innercode, 0, instr(t.innercode, '.')) = substr(b.innercode1, 0, instr(b.innercode1, '.'))

		AND t.tradedate = b.tradedate 

		WHERE b.tradedate = v_init_date

			AND t.assettype_1 = 'FUND'

			AND b.is_grade = 0

			AND t.market_code <> 'OTC'

	) bp ON a.base_tradedate = bp.tradedate -- and a.innercode = bp.innercode2

	

	AND a.innercode = bp.innercode1

	AND a.assettype = bp.assettype_1 

	LEFT JOIN (

		SELECT fr.tradedate, fr.innercode, trim(fr.chinabond_long_rating) AS chinabond_long_rating

			, trim(fr.chinabond_rating_issuer) AS chinabond_rating_issuer, trim(fr.chinabond_short_rating) AS chinabond_short_rating

			, decode(coalesce(fr.lastest_specific_rating, fr.lastest_issuer_rating_f, fr.lastest_issuer_rating), 'BBB+及以下', 'B', coalesce(fr.lastest_specific_rating, fr.lastest_issuer_rating_f, fr.lastest_issuer_rating)) AS org_rating

		FROM riskdata.t_fmt_rating fr

		WHERE 1 = 1

			AND fr.tradedate = v_init_date

	) c ON a.innercode = c.innercode 

	LEFT JOIN (

		SELECT cb.securities_code || '.' || cb.tranding_market AS innercode, cb.securities_code, cb.tranding_market

			, v_init_date AS tradedate, trim(cb.nc_bond_rating) AS nc_bond_rating, trim(cb.short_rating) AS short_rating

			, trim(cb.long_rating) AS long_rating, trim(cb.company_rating) AS company_rating

			, row_number() OVER (PARTITION BY cb.securities_code, cb.tranding_market ORDER BY cb.caliber_no DESC) AS rn

		FROM riskdata.t_cfg_bondlevel cb

		WHERE cb.begin_date <= v_init_date

			AND cb.end_date >= v_init_date

			AND (cb.caliber_no = v_companycode

				OR cb.caliber_no = '0')

			AND cb.audit_status = '1'

			AND cb.data_status = '1'

	) cm ON a.base_tradedate = cm.tradedate

	AND a.seccode = cm.securities_code

	AND a.market_code = cm.tranding_market

	AND cm.rn = 1 

	LEFT JOIN riskdata.t_fmt_proddesc_general d ON a.base_tradedate = d.tradedate

	AND a.innercode = d.innercode 

	LEFT JOIN (

		SELECT cb1.securities_code || '.' || cb1.tranding_market AS innercode, cb1.securities_code, cb1.tranding_market

			, cb1.bond_issuers_type, cb1.bond_due_date, row_number() OVER (PARTITION BY cb1.securities_code, cb1.tranding_market ORDER BY cb1.caliber_no DESC) AS rn

		FROM riskdata.t_cfg_bondinfo cb1

		WHERE cb1.begin_date <= v_init_date

			AND cb1.end_date >= v_init_date

			AND (cb1.caliber_no = v_companycode

				OR cb1.caliber_no = '0')

			AND cb1.audit_status = '1'

			AND cb1.data_status = '1'

	) cb2 ON a.seccode = cb2.securities_code

	AND a.market_code = cb2.tranding_market

	AND cb2.rn = 1 

	LEFT JOIN riskdata.t_fmt_tech e ON e.tradedate = v_init_date

	AND e.innercode = a.innercode

	AND e.shares_outstanding <> 0 

	LEFT JOIN (

		SELECT ca.*

		FROM riskdata.t_cfg_capital_amount ca

		WHERE ca.begin_date <= v_init_date

			AND ca.end_date >= v_init_date -- and (ca.caliber_no = p_caliber_no or ca.caliber_no = '0')

			-- 20210902

			

			AND (ca.caliber_no = v_companycode

				OR ca.caliber_no = '0')

			AND ca.audit_status = '1'

			AND ca.data_status = '1'

	) em ON a.seccode = em.securities_code

	AND a.market_code = em.tranding_market

	AND a.assettype = em.securities_type 

		LEFT JOIN riskdata.t_fmt_bondinterest fb ON fb.tradedate = a.base_tradedate

	AND fb.innercode = a.innercode

	AND fb.begin_date <= v_init_date

	AND fb.end_date >= v_init_date 

	WHERE a.base_tradedate = v_init_date

		AND a.assettype IN (

			'EQUITY', 

			'FUND', 

			'BOND', 

			'BANKACCEPTANCE', 

			'TRADEACCEPTANCE', 

			'INCOMEVOUCHER', 

			'STANDARDBILL'

		)

		AND a.base_tradedate = v_init_date -- and a.companycode = f_pub_get_dict_mapping('companycode',1001,p_caliber_no,0)

		

		AND (a.companycode = v_companycode

			OR p_caliber_no = '0')

		AND (a.caliber_no = ('0' || substr(p_caliber_no, 1, 1))

			OR p_caliber_no = '0') -- and nvl(trim(a.company_inner), ' ') <> 'Y' ----排除公司内部交易数据 add wgq 20220302

		

		AND nvl(trim(a.dept_inner), ' ') <> 'Y' ----排除部门内部交易数据 add wgq 20220325

		

		AND nvl(trim(a.remark), ' ') <> '公司发行的收益凭证' -- 剔除公司发行的收益凭证数据 modify by wgq 20221121

		-- 原集市osp剔除逻辑，放到ccr处理  modify by wgq 20230410

		-- and (nvl(a.amount, 0) <> 0 or a.src_system <> 'OSP')

		-- 原集市osp取数逻辑放到ccr中处理 modify by wgq 20230418 T202304244785-5

		

		AND ((a.src_system = 'OSP'

				AND ((a.sec_account IN (

							SELECT t.sec_account

							FROM riskdata.vw_fmt_account_mapping t

							WHERE t.FUND_ACC IN ('101010000520009', '101010000510257')

						)

						AND a.src_status = '02')

					OR a.src_status IN ('01', '41', '42'))

				AND nvl(a.amount, 0) <> 0)

			OR a.src_system <> 'OSP')
