INSERT /* %08d */ INTO hsnc.calc_index_value
		(uuid, business_date, caliber_no, index_id, index_balance
		, insert_time, remark, data_source_type)
	SELECT a.pk_id AS uuid, a.tradedate AS business_date, m.src_dict_item_code AS caliber_no, a.index_id
		, nvl(a.index_value, 0) AS index_balance, CURRENT_TIMESTAMP AS insert_time
		, 'CITIC' AS remark, nvl(a.src_system, ' ') AS data_source_type
	FROM riskdata.t_fmt_index a
		INNER JOIN riskdata.t_cfg_dict_mapping m ON m.etl_db_code = '1001'
	AND m.begin_date <= p_init_date
	AND m.end_date >= p_init_date
	AND m.dict_item_code = a.companycode
	AND CASE 
		WHEN m.src_dict_item_code LIKE '1%' THEN '01'
		ELSE '02'
	END = a.caliber_no 
	WHERE a.tradedate = p_init_date
		AND (a.companycode = v_companycode
			OR p_caliber_no = 0)
		AND decode(substr(p_caliber_no, 0, 1), '1', '01', '02') = a.caliber_no
